summaryrefslogtreecommitdiffstats
path: root/t/recipes/checks/init-d/init.d-lsb-headers/build-spec/debian/init.d-lsb-headers-virtual.init
diff options
context:
space:
mode:
Diffstat (limited to 't/recipes/checks/init-d/init.d-lsb-headers/build-spec/debian/init.d-lsb-headers-virtual.init')
-rw-r--r--t/recipes/checks/init-d/init.d-lsb-headers/build-spec/debian/init.d-lsb-headers-virtual.init22
1 files changed, 22 insertions, 0 deletions
diff --git a/t/recipes/checks/init-d/init.d-lsb-headers/build-spec/debian/init.d-lsb-headers-virtual.init b/t/recipes/checks/init-d/init.d-lsb-headers/build-spec/debian/init.d-lsb-headers-virtual.init
new file mode 100644
index 0000000..ac98ae9
--- /dev/null
+++ b/t/recipes/checks/init-d/init.d-lsb-headers/build-spec/debian/init.d-lsb-headers-virtual.init
@@ -0,0 +1,22 @@
+#!/bin/sh
+
+set -e
+
+### BEGIN INIT INFO
+# Provides: init.d-lsb-headers-virtual
+# Required-Start: $local_fs $something_that_doesnt_exist
+# Should-Start: $something_we_might_not_ship
+# Required-Stop: $all
+# Default-Start: 2 3 4 5
+# Default-Stop:
+# Short-Description: Just a test script
+# Description: The short description pretty much covers it.
+### END INIT INFO
+
+. /lib/lsb/init-functions
+
+case "$1" in
+ start|stop|force-reload|restart|status|*)
+ echo hello world
+ ;;
+esac